Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 2340)
+++ CHANGELOG	(revision 1791)
@@ -1,6 +1,2 @@
-Dotclear 2.6-RC - 2013-10-18
-===========================================================
-<to be completed>
-
 Dotclear 2.5.3 - 2013-09-13
 ===========================================================
Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 2351)
+++ admin/_charte.php	(revision 2308)
@@ -83,4 +83,10 @@
 		<div id="main">
 			<div id="content" class="clearfix">
+			<div class="info">
+				<p>Cette page vise à présenter les règles graphiques et conventions utilisées dans les pages de l'administration
+				d'une installation Dotclear, à l'usage des contributeurs et développeurs d'extensions. Elle en est elle-même 
+				une illustration. L'observation de son code source peut donc servir de complément aux descriptions.</p>
+			</div>
+
 				<h2>Typographie</h2>
 				<h3 id="texte">Textes</h3>
@@ -159,9 +165,11 @@
 						</div><!--
 						--><div class="two-boxes even">
-							<div class="two-boxes odd">
-								<p><span class="step">4</span> On peut bien sûr imbriquer des boîtes de class <code>"two-boxes"</code>
-								 au sein d'une boîte <code>"two-boxes" afin qu'elles…</code>…</p>
-							</div><div class="two-boxes even">
-								<p><span class="step">4 bis</span>… se distribuent horizontalement comme dans une boîte <code>"one-box"</code>.</p>
+							<div class="box odd">
+								<p><span class="step">4</span> Toutes les boîtes de class <code>"box"</code><br />
+								 placées au sein d'une boîte <code>"two-boxes"</code>…</p>
+							</div>
+							<div class="box even">
+								<p><span class="step">4 bis</span>… se distribuent horizontalement comme dans <br />
+									une boîte <code>"one-box"</code>.</p>
 							</div>
 						</div>
@@ -328,10 +336,10 @@
 					<p class="nav_prevnext"><a title="Titre de l'élément précédente" href="post.php?id=4145">«&nbsp;Élément précédent</a> | <a title="Titre de l'élément suivant" href="#">Élément suivant&nbsp;»</a></p>
 
-				<h2 id="common">Tableaux</h2>
+				<h2>Tableaux</h2>
 					<p>Il existe deux mises en forme type de tableaux selon que l'on cherche à faire un tableau ordinaire 
 					ou un tableau dont on peut déplacer les lignes par glisser déposer (voir plus bas). Cependant certaines règles
 					sont communes à tout les tableaux.</p>
 
-				<h3>Règles communes</h3>
+				<h3 id="communes">Règles communes</h3>
 					<h4>Largeur du tableau</h4>
 						<p>Sauf pour des tableaux particuliers (absents dans l'admin mais qui pourraient être nécessaires 
@@ -357,5 +365,5 @@
 							<li><code>count</code> : le contenu de la cellule sera aligné à droite avec un petit retrait.</li>
 						</ul>
-				<h3 id="courants">Tableau classique</h3>
+				<h3 id="ordinaires">Tableau classique</h3>
 				<div class="table-outer">
 					<table>
@@ -423,5 +431,5 @@
 				</div>		
 				
-				<h3 id="dragable">Tableau avec ordonnancement</h3>
+				<h3>Tableau avec ordonnancement</h3>
 				<p>Les tableaux permettant l'ordonnancement doivent offrir la possibilité d'effectuer le classement grâce à
 				des inputs placés en début de ligne pour que le classement soit possible même lorsque cette fonctionnalité est
@@ -533,17 +541,23 @@
 		</div><!-- /main -->
 		<div id="main-menu">
-			<ul><li class="pretty-title">Typographie
+			<form id="search-menu" action="search.php" method="get">
+				<p><label for="qx" class="hidden">Chercher : </label><input type="text" size="30" name="qx" id="qx" maxlength="255"  /><input type="submit" value="OK" /></p>
+			</form>
+			<div id="favorites-menu">
+				<h3>Typo</h3>
 				<ul>
 					<li><a href="#texte">Texte</a></li>
 					<li><a href="#titres">Titres hx</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Layouts
+			</div><!-- /favorites-menu -->
+			<div id="blog-menu">
+				<h3>Layouts</h3>
 				<ul>
 					<li><a href="#onglets">Onglets</a></li>
 					<li><a href="#multi-colonnage">Multi-colonnage</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Interactions
+			</div><!-- /blog-menu -->
+			<div id="system-menu">
+				<h3>Interactions</h3>
 				<ul>
 					<li><a href="#elements">Éléments de formulaire</a></li>
@@ -551,24 +565,12 @@
 					<li><a href="#messages">Messages</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Navigation
+			</div><!-- /system-menu -->
+			<div id="plugins-menu">
+				<h3>Navigation</h3>
 				<ul>
 					<li><a href="#direct">Accès direct</a></li>
 					<li><a href="#prevnext">Précédent, suivant</a></li>
 				</ul>
-				</li>
-				<li class="pretty-title">Tableaux
-				<ul>
-					<li><a href="#commons">Règles communes</a></li>
-					<li><a href="#courants">Tableaux courants</a></li>
-					<li><a href="#dragables">Tableaux ordonnancés</a></li>
-				</ul>
-				</li>
-			</ul>
-			<div class="info vertical-separator">
-				<p>Cette page vise à présenter les règles graphiques et conventions utilisées dans les pages de l'administration
-				d'une installation Dotclear, à l'usage des contributeurs et développeurs d'extensions. Elle en est elle-même 
-				une illustration. L'observation de son code source peut donc servir de complément aux descriptions.</p>
-			</div>
+			</div><!-- /plugins-menu -->
 		</div><!-- /main-menu -->
 
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 2362)
+++ admin/blog_theme.php	(revision 2337)
@@ -132,5 +132,5 @@
 		'<p class="info vertical-separator">'.sprintf(
 			__("Visit %s repository, the resources center for Dotclear."),
-			'<a href="http://themes.dotaddict.org/dc2/">Dotaddict</a>'
+			'<a href="http://themes.dotaddict.org/dc2/"</a>'
 			).
 		'</p>'.
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 2358)
+++ admin/index.php	(revision 2314)
@@ -332,5 +332,5 @@
 		'<p class="area"><label class="required" '.
 		'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
-		form::textarea('post_content',50,10).
+		form::textarea('post_content',50,7).
 		'</p>'.
 		'<p><label for="cat_id" class="classic">'.__('Category:').'</label> '.
Index: admin/js/_plugins.js
===================================================================
--- admin/js/_plugins.js	(revision 2354)
+++ admin/js/_plugins.js	(revision 2292)
@@ -1,16 +1,166 @@
+dotclear.moduleExpander = function(line) {
+        var td = line.firstChild;
+        
+        var img = document.createElement('img');
+        img.src = dotclear.img_plus_src;
+        img.alt = dotclear.img_plus_alt;
+        img.className = 'expand';
+        $(img).css('cursor','pointer');
+        img.line = line;
+        img.onclick = function() { dotclear.viewModuleContent(this,this.line); };
+        
+        td.insertBefore(img,td.firstChild);
+};
+
+dotclear.modulesExpander = function(line,lines) {
+        var td = line.firstChild;
+
+        var img = document.createElement('img');
+        img.src = dotclear.img_plus_src;
+        img.alt = dotclear.img_plus_alt;
+        img.className = 'expand';
+        $(img).css('cursor','pointer');
+        img.lines = lines;
+        img.onclick = function() { dotclear.viewModulesContent(this,this.lines); };
+
+        td.insertBefore(img,td.firstChild);
+};
+
+dotclear.viewModulesContent = function(img,lines) {
+        
+        action = 'toggle';
+
+        if (img.alt == dotclear.img_plus_alt) {
+                img.src = dotclear.img_minus_src;
+                img.alt = dotclear.img_minus_alt;
+                action = 'open';
+        } else {
+                img.src = dotclear.img_plus_src;
+                img.alt = dotclear.img_plus_alt;
+                action = 'close';
+        }
+        
+        lines.each(function() {
+                var td = this.firstChild;
+                dotclear.viewModuleContent(td.firstChild,td.firstChild.line,action);
+        });
+};
+
+dotclear.viewModuleContent = function(img,line,action) {
+
+        var action = action || 'toggle';
+		var cols = $('td',$(line)).length
+        var sp = line.id.split('_m_');
+		var listId=sp[0];
+		var moduleId= sp[1];
+
+        var tr = document.getElementById('pe'+moduleId);
+        
+		if ( !tr && ( action == 'toggle' || action == 'open' ) ) {
+                tr = document.createElement('tr');
+                tr.id = 'pe'+moduleId;
+
+                var td = document.createElement('td');
+                td.colSpan = cols;
+                td.className = 'expand';
+                tr.appendChild(td);
+                
+                img.src = dotclear.img_minus_src;
+                img.alt = dotclear.img_minus_alt;
+                
+                // Get post content
+                $.get('services.php',{f:'getModuleById', id: moduleId, list: listId},function(data) {
+                        var rsp = $(data).children('rsp')[0];
+                        
+                        if (rsp.attributes[0].value == 'ok') {
+                                var author = $(rsp).find('author').text();
+                                var details = $(rsp).find('details').text();
+                                var support = $(rsp).find('support').text();
+								var box = document.createElement('div');
+                                var bloc = document.createElement('ul');
+                                bloc.className = "mod-more";
+                                
+                                if (author) {
+                                        $(bloc).append($('<li class="module-author">'+dotclear.msg.module_author+' '+author+'</li>'));
+                                }
+                                if (details) {
+                                        var dd = '';
+                                        dd += '<a class="module-details" href="'+details+'">'+dotclear.msg.module_details+'</a>';
+                                        if (support) {
+                                                dd += ' - ';
+                                                dd += '<a class="module-support" href="'+support+'">'+dotclear.msg.module_support+'</a>';
+                                        }
+                                        $(bloc).append($('<li>'+dd+'</li>'));
+                                }
+
+                                $(td).append($(box).append(bloc));
+                                
+                                var section = $(rsp).find('section').text();
+                                var tags = $(rsp).find('tags').text();
+                                
+				var boxb = document.createElement('div');
+                                var blocb = document.createElement('ul');
+                                blocb.className = "mod-more";
+                                
+                                if (section) {
+                                        $(blocb).append($('<li class="module-section">'+dotclear.msg.module_section+' '+section+'</li>'));
+                                }
+                                if (tags) {
+                                        $(blocb).append($('<li class="module-tags">'+dotclear.msg.module_tags+' '+tags+'</li>'));
+                                }
+                                $(td).append($(boxb).append(blocb));
+                        } else {
+                                alert($(rsp).find('message').text());
+                        }
+                });
+                
+                $(line).addClass('expand');
+                line.parentNode.insertBefore(tr,line.nextSibling);
+        }
+        else if (tr && tr.style.display == 'none' && ( action == 'toggle' || action == 'open' ) )
+        {
+                $(tr).css('display', 'table-row');
+                $(line).addClass('expand');
+                img.src = dotclear.img_minus_src;
+                img.alt = dotclear.img_minus_alt;
+        }
+        else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
+        {
+                $(tr).css('display', 'none');
+                $(line).removeClass('expand');
+                img.src = dotclear.img_plus_src;
+                img.alt = dotclear.img_plus_alt;
+        }
+        
+        parentTable = $(line).parents('table');
+        if( parentTable.find('tr.expand').length == parentTable.find('tr.line').length ) {
+                img = parentTable.find('tr:not(.line) th:first img');
+                img.attr('src',dotclear.img_minus_src);
+                img.attr('alt',dotclear.img_minus_alt);
+        }
+        
+        if( parentTable.find('tr.expand').length == 0 ) {
+                img = parentTable.find('tr:not(.line) th:first img');
+                img.attr('src',dotclear.img_plus_src);
+                img.attr('alt',dotclear.img_plus_alt);
+        }
+        
+};
+
+
 $(function() {
+/*
+	// expand all modules lines
+	$('table.modules.expandable tr:not(.line)').each(function() {
+		dotclear.modulesExpander(this,$('table.modules.expandable tr.line'));
+	});
+*/
 	// expand a module line
-	$('table.modules.expandable tr.line').each(function(){
-		$('td.module-name',this).toggleWithLegend($(this).next('.module-more'),{
-			img_on_src: dotclear.img_plus_src,
-			img_on_alt: dotclear.img_plus_alt,
-			img_off_src: dotclear.img_minus_src,
-			img_off_alt: dotclear.img_minus_alt,
-			legend_click: true
-		});
+	$('table.modules.expandable tr.line').each(function() {
+		dotclear.moduleExpander(this);
 	});
 
 	// confirm module deletion
-	$('td.module-actions form input[type=submit][name=delete]').click(function() {
+	$('div.module-actions form input[type=submit][name=delete]').click(function() {
 		var module_id = $('input[name=module]',$(this).parent()).val();
 		return window.confirm(dotclear.msg.confirm_delete_plugin.replace('%s',module_id));
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 2354)
+++ admin/plugins.php	(revision 2337)
@@ -162,5 +162,5 @@
 		->setModules($modules)
 		->displayModules(
-			/* cols */		array('expander', 'icon', 'name', 'version', 'desc', 'distrib'),
+			/* cols */		array('expander', 'icon', 'name', 'config', 'version', 'desc', 'distrib'),
 			/* actions */	array('deactivate', 'delete', 'behavior')
 		);
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2342)
+++ admin/user.php	(revision 2256)
@@ -347,5 +347,5 @@
 				{
 					echo 
-					'<form action="users_actions.php" method="post" class="perm-block">'.
+					'<form action="users_actions.php" method="post">'.
 					'<p class="blog-perm">'.__('Blog:').' <a href="blog.php?id='.html::escapeHTML($k).'">'.
 					html::escapeHTML($v['name']).'</a> ('.html::escapeHTML($k).')</p>';
Index: inc/admin/lib.moduleslist.php
===================================================================
--- inc/admin/lib.moduleslist.php	(revision 2354)
+++ inc/admin/lib.moduleslist.php	(revision 2327)
@@ -552,6 +552,5 @@
 
 		if (in_array('distrib', $cols)) {
-			echo 
-			'<th'.(in_array('desc', $cols) ? '' : ' class="maximal"').'></th>';
+			echo '<th'.(in_array('desc', $cols) ? '' : ' class="maximal"').'></th>';
 		}
 
@@ -587,9 +586,6 @@
 			echo 
 			'<tr class="line" id="'.html::escapeHTML($this->list_id).'_m_'.html::escapeHTML($id).'">';
-			
-			$tds = 0;
 
 			if (in_array('icon', $cols)) {
-				$tds++;
 				echo 
 				'<td class="module-icon nowrap">'.sprintf(
@@ -599,11 +595,15 @@
 			}
 
-			$tds++;
+			# Link to config file
+			$config = in_array('config', $cols) && !empty($module['root']) && file_exists(path::real($module['root'].'/_config.php'));
+
 			echo 
-			'<td class="module-name nowrap" scope="row">'.html::escapeHTML($module['name']).'</td>';
+			'<td class="module-name nowrap" scope="row">'.($config ? 
+				'<a href="'.$this->getURL('module='.$id.'&amp;conf=1').'" title"'.sprintf(__('Configure module "%s"'), html::escapeHTML($module['name'])).'">'.html::escapeHTML($module['name']).'</a>' : 
+				html::escapeHTML($module['name'])
+			).'</td>';
 
 			# Display score only for debug purpose
 			if (in_array('score', $cols) && $this->getSearch() !== null && defined('DC_DEBUG') && DC_DEBUG) {
-				$tds++;
 				echo 
 				'<td class="module-version nowrap count"><span class="debug">'.$module['score'].'</span></td>';
@@ -611,5 +611,4 @@
 
 			if (in_array('version', $cols)) {
-				$tds++;
 				echo 
 				'<td class="module-version nowrap count">'.html::escapeHTML($module['version']).'</td>';
@@ -617,5 +616,4 @@
 
 			if (in_array('current_version', $cols)) {
-				$tds++;
 				echo 
 				'<td class="module-current-version nowrap count">'.html::escapeHTML($module['current_version']).'</td>';
@@ -623,5 +621,4 @@
 
 			if (in_array('desc', $cols)) {
-				$tds++;
 				echo 
 				'<td class="module-desc maximal">'.html::escapeHTML($module['desc']).'</td>';
@@ -629,5 +626,4 @@
 
 			if (in_array('distrib', $cols)) {
-				$tds++;
 				echo 
 				'<td class="module-distrib">'.(self::isDistributedModule($id) ? 
@@ -641,5 +637,4 @@
 				$buttons = $this->getActions($id, $module, $actions);
 
-				$tds++;
 				echo 
 				'<td class="module-actions nowrap">'.
@@ -660,65 +655,4 @@
 			echo 
 			'</tr>';
-
-			# Other informations
-			if (in_array('expander', $cols)) {
-				echo
-				'<tr class="module-more"><td colspan="'.$tds.'" class="expand">';
-
-				if (!empty($module['author']) || !empty($module['details']) || !empty($module['support'])) {
-					echo 
-					'<div><ul class="mod-more">';
-
-					if (!empty($module['author'])) {
-						echo
-						'<li class="module-author">'.__('Author:').' '.html::escapeHTML($module['author']).'</li>';
-					}
-
-					$more = array();
-					if (!empty($module['details'])) {
-						$more[] = '<a class="module-details" href="'.$module['details'].'">'.__('Details').'</a>';
-					}
-
-					if (!empty($module['support'])) {
-						$more[] = '<a class="module-support" href="'.$module['support'].'">'.__('Support').'</a>';
-					}
-					
-					if (!empty($more)) {
-						echo
-						'<li>'.implode(' - ', $more).'</li>';
-					}
-
-					echo
-					'</ul></div>';
-				}
-
-				$config = !empty($module['root']) && file_exists(path::real($module['root'].'/_config.php'));
-
-				if ($config || !empty($module['section']) || !empty($module['section'])) {
-					echo 
-					'<div><ul class="mod-more">';
-
-					if ($config) {
-						echo
-						'<li><a class="module-config" href="'.$this->getURL('module='.$id.'&amp;conf=1').'">'.__('Configure plugin').'</a></li>';
-					}
-
-					if (!empty($module['section'])) {
-						echo
-						'<li class="module-section">'.__('Section:').' '.html::escapeHTML($module['section']).'</li>';
-					}
-
-					if (!empty($module['section'])) {
-						echo
-						'<li class="module-tags">'.__('Tags:').' '.html::escapeHTML($module['tags']).'</li>';
-					}
-
-					echo
-					'</ul></div>';
-				}
-
-				echo
-				'</td></tr>';
-			}
 
 			$count++;
@@ -1220,7 +1154,7 @@
 
 			$line = 
-			'<div class="box '.($current ? 'medium current-theme' : 'theme').$distrib.'">';
-
-			if (in_array('name', $cols) && !$current) {
+			'<div class="box '.($current ? 'medium current-theme' : 'small theme').$distrib.'">';
+
+			if (in_array('name', $cols)) {
 				$line .= 
 				'<h4 class="module-name">'.html::escapeHTML($module['name']).'</h4>';
@@ -1253,12 +1187,5 @@
 
 			$line .= 
-			'<div class="module-infos toggle-bloc">';
-
-			if (in_array('name', $cols) && $current) {
-				$line .= 
-				'<h4 class="module-name">'.html::escapeHTML($module['name']).'</h4>';
-			}
-
-			$line .=
+			'<div class="module-infos toggle-bloc">'.
 			'<p>';
 
@@ -1337,5 +1264,5 @@
 				if (file_exists(path::real($this->core->blog->themes_path.'/'.$id).'/_config.php')) {
 					$line .= 
-					'<p><a href="'.$this->getURL('module='.$id.'&conf=1', false).'" class="button submit">'.__('Configure theme').'</a></p>';
+					'<p><a href="'.$this->getURL('module='.$id.'&conf=1', false).'" class="button">'.__('Configure theme').'</a></p>';
 				}
 
@@ -1350,6 +1277,6 @@
 			if (!empty($actions)) {
 				$line .=
-				'<form action="'.$this->getURL().'" method="post" class="actions-buttons">'.
-				'<p>'.
+				'<form action="'.$this->getURL().'" method="post">'.
+				'<div>'.
 				$this->core->formNonce().
 				form::hidden(array('module'), html::escapeHTML($id)).
@@ -1357,5 +1284,5 @@
 				implode(' ', $this->getActions($id, $module, $actions)).
  
-				'</p>'.
+				'</div>'.
 				'</form>';
 			}
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 2349)
+++ inc/prepend.php	(revision 2341)
@@ -134,5 +134,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.6-dev');
+define('DC_VERSION','2.7-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 2357)
+++ inc/public/class.dc.template.php	(revision 2198)
@@ -534,5 +534,5 @@
 	{
 		$f = $this->getFilters($attr);
-		return '<?php echo '.sprintf($f,'(!$_ctx->cur_loop ? 0 : $_ctx->cur_loop->index() + 1)').'; ?>';
+		return '<?php '.sprintf($f,'(!$_ctx->cur_loop ? 0 : $_ctx->cur_loop->index() + 1)').' ?>';
 	}
 	
Index: plugins/attachments/_admin.php
===================================================================
--- plugins/attachments/_admin.php	(revision 2360)
+++ plugins/attachments/_admin.php	(revision 1620)
@@ -12,28 +12,13 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$core->addBehavior('adminPostFormItems',array('attachmentAdmin','adminPostFormItems'));
-$core->addBehavior('adminPostAfterForm',array('attachmentAdmin','adminPostAfterForm'));
+$core->addBehavior ('adminPostFormItems',array('attachmentAdmin','adminPostFormItems'));
+$core->addBehavior ('adminPostAfterForm',array('attachmentAdmin','adminPostAfterForm'));
 $core->addBehavior('adminPostHeaders',array('attachmentAdmin','postHeaders'));
-$core->addBehavior('adminPageFormItems',array('attachmentAdmin','adminPostFormItems'));
-$core->addBehavior('adminPageAfterForm',array('attachmentAdmin','adminPostAfterForm'));
+$core->addBehavior ('adminPageFormItems',array('attachmentAdmin','adminPostFormItems'));
+$core->addBehavior ('adminPageAfterForm',array('attachmentAdmin','adminPostAfterForm'));
 $core->addBehavior('adminPageHeaders',array('attachmentAdmin','postHeaders'));
-$core->addBehavior('adminPageHelpBlock',array('attachmentAdmin','adminPageHelpBlock'));
 
 class attachmentAdmin
 {
-	public static function adminPageHelpBlock($blocks)
-	{
-		$found = false;
-		foreach($blocks as $block) {
-			if ($block == 'core_post') {
-				$found = true;
-				break;
-			}
-		}
-		if (!$found) {
-			return null;
-		}
-		$blocks[] = 'attachments';
-	}
 	public static function postHeaders()
 	{
@@ -69,5 +54,5 @@
 				'<li class="media-action"><a class="attachment-remove" id="attachment-'.$f->media_id.'" '.
 				'href="post_media.php?post_id='.$post->post_id.'&amp;media_id='.$f->media_id.'&amp;remove=1">'.
-				'<img src="images/trash.png" alt="'.__('remove').'" /></a>'.
+				'<img src="images/check-off.png" alt="'.__('remove').'" /></a>'.
 				'</li>'.
 				
Index: plugins/blowupConfig/_admin.php
===================================================================
--- plugins/blowupConfig/_admin.php	(revision 2351)
+++ plugins/blowupConfig/_admin.php	(revision 1179)
@@ -21,5 +21,5 @@
 {
 	if ($id == 'default' && $core->auth->check('admin',$core->blog->id)) {
-		return '<p><a href="plugin.php?p=blowupConfig" class="button submit">'.__('Configure theme').'</a></p>';
+		return '<p><a href="plugin.php?p=blowupConfig" class="button">'.__('Theme configuration').'</a></p>';
 	}
 }
Index: plugins/buildtools/class.dc.maintenance.buildtools.php
===================================================================
--- plugins/buildtools/class.dc.maintenance.buildtools.php	(revision 2355)
+++ plugins/buildtools/class.dc.maintenance.buildtools.php	(revision 2286)
@@ -55,11 +55,9 @@
 			$main .= $this->fake_l10n($v['label']);
 		}
-		$ws = $this->core->auth->user_prefs->favorites;	// Favs old school !
-		if ($ws) {
-			$main .= "\n# Favorites \n\n";
-			foreach ($ws->dumpPrefs() as $k => $v) {
-				$fav = unserialize($v['value']);
-				$main .= $this->fake_l10n($fav['title']);
-			}
+		$ws = $this->core->auth->user_prefs->favorites;
+		$main .= "\n# Favorites \n\n";
+		foreach ($ws->dumpPrefs() as $k => $v) {
+			$fav = unserialize($v['value']);
+			$main .= $this->fake_l10n($fav['title']);
 		}
 		file_put_contents(dirname($__autoload['dcCore']).'/_fake_l10n.php', $main);
